Assigns a new value for a variant object

- « variant_round

- variant_set_type »

- PHP Manual
- COM Functions
- Assigns a new value for a variant object

# variant_set

(PHP 5, PHP 7, PHP 8)

variant_set — Assigns a new value for a variant object

### Description

variant_set(variant `$variant`, mixed `$value`): void

Converts `value` to a variant and assigns it to the `variant` object; no new variant object is created, and the old value of `variant` is freed/released.

### Parameters

`variant`

  The variant.

`value`

### Return Values

No value is returned.